gnuift (0.1.14+ds-1ubuntu1) zesty; urgency=medium

  * Resync on debian unstable. Remaining changes:
    + Rebuild for G++-5 ABI transition and update sonames.
  * Regenerate config files during build.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 09 Jan 2017 19:15:45 +0530

gnuift (0.1.14+ds-1) unstable; urgency=medium

  * QA upload
  * Set maintainer field to Debian QA Group (see #471251)
  * Fix build error with gcc-6. Closes: #811899
  * Packaging cleanup
    - Use the pristine upstream tarball
    - Switch to source format 3.0 (quilt)
    - Add DEP-3 headers to the patches
    - Convert debian/copyright to format 1.0
    - Bump debhelper compat level to 10
    - Declare compliance with policy 3.9.8
    - Update watch file
    - Fix bugs in SGML documenation
    - Fix typos in documentation and messages

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 19 Dec 2016 22:28:26 +0100

gnuift (0.1.14-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724380)

 -- Eric Dorland <eric@debian.org>  Thu, 06 Mar 2014 23:57:49 -0500

gnuift (0.1.14-12) unstable; urgency=low

  * QA upload
  * Fix build failure with GCC 4.7. Closes: #667185.

 -- Matthias Klose <doko@debian.org>  Mon, 28 May 2012 12:11:38 +0200

gnuift (0.1.14-11) unstable; urgency=low

  * QA upload
  * Transition to libmagick4 (closes: #625546, #629769):
    - replace build-dependency on  "libmagick9-dev | libmagick-dev" by
      libmagickcore-dev
    - replace dependency of libgnuift0-dev on "libmagick9-dev | libmagick-dev"
      by libmagickcore-dev
  * Bump debhelper compat level to 5.
    - remove entry usr/share/libmrml1/gift*.mrml from gnuift-perl.install
      since wildcard expands to nothing.

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Jun 2011 20:19:04 +0200

gnuift (0.1.14-10) unstable; urgency=low

  * QA upload
  * Patch 11_duplicate_install copied from ubuntu: do not try to install
    twice the same file (closes: #620912).
  * Add --install to the libtoolize call in debian/rules so that all
    scripts get installed, rather than just a select few. Patch
    provided by James Westby - thanks! (closes: #506500).
  * debian/libgnuift0-dev.install, debian/libmrml1-dev.install: do not
    install *.la files per Policy 10.2. Thanks to Andreas Moog for the
    patch! (closes: #620755).
  * replace build-dependencies on doxygen, texlive-* by doxygen-latex
    (closes:  #616251).
  * debian/rules: Packages depend on ${misc:Depends}.
  * debian/copyright: update FSF address, symbolic-link to GPL-2 text
  * Fix capitalization in some doc-base files.
  * Upgraded build-dependency on automake from 1.7 to 1.9 as compilation
    with 1.7 fails.

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Apr 2011 07:46:38 +0200

gnuift (0.1.14-9) unstable; urgency=high

  * QA Upload.
  * Fix problem in the dependencies of gnuift-perl I introduced.
    Still wonder why I could successfully install it here on
    my system, though. (Closes: #494869)
  * 05_add-doxy-header-and-footer.diff: Specify DPATCHLEVEL so that
    the patch gets correctly applied.
  * Add texlive-extra-utils to build-depends for epstopdf.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 12 Aug 2008 18:33:29 -0300

gnuift (0.1.14-8) unstable; urgency=high

  * QA upload.
  * Fix build problem when built in parallel. (Closes: #494233)
  * Apply patch by Lior Kaplan to make package binNMU safe.
    (Closes: #435943, #481052)
  * Do not allow a random automake version. (Closes: #398503)
  * Update libmagick-dev dependency.
  * Move homepage to dedicated field.
  * Fix some lintian warnings:
    + Remove empty directory usr/sbin
    + Fix doc-base sections

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 11 Aug 2008 20:45:09 -0300

gnuift (0.1.14-7) unstable; urgency=low

  * QA upload.
  * Set the maintainer to QA group.
  * Fix build problem due to existant, but inaccessible home directory.
    (Closes: #471487)

 -- Philipp Kern <pkern@debian.org>  Fri, 06 Jun 2008 13:41:21 +0200

gnuift (0.1.14-6.3) unstable; urgency=low

  * Non-maintainer upload for the gcc-4.3 release goal, with a
    patch by Cyril Brulebois.  (Closes: #417212)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Mar 2008 22:44:27 +0100

gnuift (0.1.14-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * 09_gcc-4.1.diff: Patch from Martin Michlmayr, fixes several instances of
    extra qualification in class declarations, causing FTBFS with gcc 4.1.
    Michlmayr. (Closes: #356540)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 21:24:30 +0200

gnuift (0.1.14-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Renamed for C++ allocator change (Closes: #339177).

 -- Luk Claes <luk@debian.org>  Wed, 28 Dec 2005 23:14:45 +0100

gnuift (0.1.14-6) unstable; urgency=low

  * debian/control: libmysql++-dev as Build-Depends; closes: Bug#272004
    (FTBFS: Unsatisfiable build-dependency on libsqlplus-dev)

 -- Robert Jordens <jordens@debian.org>  Thu, 20 Oct 2005 14:25:14 +0200

gnuift (0.1.14-5) unstable; urgency=high

  * debian/control: Build-Depends: libmagick9-dev |
    libmagick-dev to do the imagemagick transition; closes: Bug#332450
    (FTBFS: libmagick transition)
  * also rebuilding to fix mis-build on m68k; closes: Bug#330640 (gnuift needs
    to be rebuilt on m68k for C++ transition)
  * urgency high because both block a transition

 -- Robert Jordens <jordens@debian.org>  Fri,  7 Oct 2005 12:10:36 +0200

gnuift (0.1.14-4) unstable; urgency=medium

  * debian/control: conflict with libmrml_1_;
    closes: Bug#325284 (libmrml1c2: overlapping files with libmrml1)
  * urgency medium because this is RC

 -- Robert Jordens <jordens@debian.org>  Fri,  9 Sep 2005 21:33:36 +0200

gnuift (0.1.14-3) unstable; urgency=medium

  * debian/{control,rules,libmrml1c2.install,libgnuift0c2.install}: CXX
    transition; rename libgnuift0 to libgnuift0c2 and libmrml1 to libmrml1c2
  * urgency medium because this is RC

 -- Robert Jordens <jordens@debian.org>  Tue,  9 Aug 2005 11:56:22 +0200

gnuift (0.1.14-2) unstable; urgency=medium

  * fix missing header includes leading to pointer truncation on 64 bit
    archs. Patch from David Mosberger <davidm@napali.hpl.hp.com>; thanks
    closes: Bug#308582

 -- Robert Jordens <jordens@debian.org>  Wed, 11 May 2005 20:52:02 +0200

gnuift (0.1.14-1) unstable; urgency=low

  * new upstream release
  * 06_gcc-3.4.diff: applied upstream; 06_gcc-4.0.diff: fixed
  * libmrml0 -> libmrml1, SONAME change.

 -- Robert Jordens <jordens@debian.org>  Sat,  7 May 2005 15:00:35 +0200

gnuift (0.1.13-2) unstable; urgency=low

  * debian/patches/06_gcc-3.4.diff: gcc-3.4 fixes from Andreas Jochens
    <aj@andaco.de>: closes: Bug#266259
  * debian/patches/07_gcc_4.0.diff: gcc-4.0 and amd64 fixes from Andreas
    Jochens <aj@andaco.de>closes: Bug#286878

 -- Robert Jordens <jordens@debian.org>  Mon,  3 Jan 2005 20:19:01 +0100

gnuift (0.1.13-1) unstable; urgency=high

  * urgency-high upload because the version in testing does not work at all
  * debian/patches/07_fixup-for-g++-3.4.diff: added;
    closes: Bug#258761: gnuift: FTBFS with gcc-3.4
  * debian/watch: updated to version=2
  * new upstream release
    + gift has been producing wrong indexing data; all wrong indexed data has
      to be reindexed or fixed with a script that will be sent to
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=216398>;
      closes: Bug#216398
    + debian/patches/06_look-for-so-0.diff,
      debian/patches/05_fixup-hardcoded-dirs-makefiles.diff,
      debian/patches/05_fixup-hardcoded-dirs-sources.diff,
      debian/patches/05_fixup-sgml-docs.diff,
      debian/patches/07_fixup-for-g++-3.4.diff deleted: incorporated
      upstream

 -- Robert Jordens <jordens@debian.org>  Mon, 16 Aug 2004 18:11:37 +0200

gnuift (0.1.9+3epsilon+cvs030915-4) unstable; urgency=low

  * debian/patches/06_look-for-so-0.diff: added, closes: Bug#216398

 -- Robert Jordens <jordens@debian.org>  Fri, 11 Jun 2004 17:30:28 +0200

gnuift (0.1.9+3epsilon+cvs030915-3) unstable; urgency=low

  * debian/control: (Build-)Depend on libmagick6-dev; closes: Bug#248222

 -- Robert Jordens <jordens@debian.org>  Mon, 10 May 2004 01:40:37 +0200

gnuift (0.1.9+3epsilon+cvs030915-2) unstable; urgency=low

  * debian/control: made all descriptions more descriptive; closes: Bug#213404

 -- Robert Jordens <jordens@debian.org>  Tue, 30 Sep 2003 10:31:50 +0200

gnuift (0.1.9+3epsilon+cvs030915-1) unstable; urgency=low

  * Built a new upstream tarball from CVS with the note about military use
    removed; closes: Bug#210868
  * debian/rules: uses tarball and simple-patchsys now

 -- Robert Jordens <jordens@debian.org>  Mon, 15 Sep 2003 14:15:42 +0200

gnuift (0.1.9+3epsilon-3) unstable; urgency=low

  * Doc/gift-guide.sgml: licensing problem resolved with Wolfgang Mueller
    <Wolfgang.Mueller2@uni-bayreuth.de>; see the bug for details;
    closes: Bug#210868
  * changed Wolfgangs e-mail address accordingly.
  * debian/gnuift.sgml is now GPL

 -- Robert Jordens <jordens@debian.org>  Sun, 14 Sep 2003 19:03:11 +0200

gnuift (0.1.9+3epsilon-2) unstable; urgency=low

  * debian/rules
    + don't let binary/gnuift depend on binary/gnuift-perl; breaks
      autobuilding.
    + new format for parallel building via DEB_BUILD_OPTIONS

 -- Robert Jordens <jordens@debian.org>  Thu, 11 Sep 2003 09:18:38 +0200

gnuift (0.1.9+3epsilon-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + switched to cdbs
    + use dh_buildinfo
    + enabled parallel building if USE_NJOBS set in the
      environment
  * debian/control
    + changed rjo@gmx.de to jordens@debian.org
    + Build-Depends: libmysqlclient-dev, emacsen
    + updated descriptions
    + fixed lib*-dev Conflicts and Depends
    + added Build-Depends-Indep to Build-Depends
    + gnuift-perl contains all perl modules
    + suggest kmrml
  * libtoolized anew
  * g++/gcc 3.3:
    + a few header files: #include <cassert>
    + line-join multiline mysql-statements
  * fixed web pubblishing locations
  * doxygen headers added from CVS
  * fixed DESTDIR in libMRML/include/Makefile.am
  * debian/gnuift.sgml: written manpage

 -- Robert Jordens <jordens@debian.org>  Thu,  4 Sep 2003 12:42:29 +0200

gnuift (0.1.9-2) unstable; urgency=low

  * notes from Bart Schuller <schuller@lunatech.com>:
      * fill libgnuift0
      * don't run doxygen twice
  * moved the definitions of the hardcoded paths to configure.in
  * export LIBRARY_PATH=`pwd`/debian/tmp/usr/lib; befor install

 -- Robert Jordens <jordens@debian.org>  Tue,  2 Sep 2003 22:18:01 +0200

gnuift (0.1.9-1) unstable; urgency=low

  * Initial Release.
  * renamed to gnuift to evade clash with a FastTrack client named "gift"
  * work on ACX_PTHREAD
  * killed rpath in libtool
  * fhs compliance (perl modules, libraries, executables, dtds)
  * split off the libraries
  * made the documentation work
  * upload to Debian, which closes: Bug#137472

 -- Robert Jordens <rjo@gmx.de>  Sat, 16 Nov 2002 12:24:52 +0100

